Index: src/y.tab.c
===================================================================
--- src/y.tab.c	(.../1.0.1)	(revision 183)
+++ src/y.tab.c	(.../1.0.2)	(revision 183)
@@ -5490,276 +6796,319 @@
         DupString(yy_match_item->reason, "No reason");
     }
   }
-}
-break;
-case 494:
-#line 3224 "ircd_parser.y"
-{
-}
-break;
-case 498:
-#line 3229 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 496:
+#line 3228 "ircd_parser.y"
+    {
+;}
+    break;
+
+  case 500:
+#line 3233 "ircd_parser.y"
+    {
   if (ypass == 2)
     regex_ban = 1;
-}
-break;
-case 505:
-#line 3238 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 507:
+#line 3242 "ircd_parser.y"
+    {
   if (ypass == 2)
     strlcpy(gecos_name, yylval.string, sizeof(gecos_name));
-}
-break;
-case 506:
-#line 3244 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 508:
+#line 3248 "ircd_parser.y"
+    {
   if (ypass == 2)
     strlcpy(reasonbuf, yylval.string, sizeof(reasonbuf));
-}
-break;
-case 566:
-#line 3289 "ircd_parser.y"
-{
-  ConfigFileEntry.gline_min_cidr = yyvsp[-1].number;
-}
-break;
-case 567:
-#line 3294 "ircd_parser.y"
-{
-  ConfigFileEntry.gline_min_cidr6 = yyvsp[-1].number;
-}
-break;
-case 568:
-#line 3299 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 568:
+#line 3293 "ircd_parser.y"
+    {
+  ConfigFileEntry.gline_min_cidr = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 569:
+#line 3298 "ircd_parser.y"
+    {
+  ConfigFileEntry.gline_min_cidr6 = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 570:
+#line 3303 "ircd_parser.y"
+    {
   ConfigFileEntry.burst_away = yylval.number;
-}
-break;
-case 569:
-#line 3304 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 571:
+#line 3308 "ircd_parser.y"
+    {
   ConfigFileEntry.use_whois_actually = yylval.number;
-}
-break;
-case 570:
-#line 3309 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 572:
+#line 3313 "ircd_parser.y"
+    {
   GlobalSetOptions.rejecttime = yylval.number;
-}
-break;
-case 571:
-#line 3314 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 573:
+#line 3318 "ircd_parser.y"
+    {
   ConfigFileEntry.tkline_expire_notices = yylval.number;
-}
-break;
-case 572:
-#line 3319 "ircd_parser.y"
-{
-  ConfigFileEntry.kill_chase_time_limit = yyvsp[-1].number;
-}
-break;
-case 573:
-#line 3324 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 574:
+#line 3323 "ircd_parser.y"
+    {
+  ConfigFileEntry.kill_chase_time_limit = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 575:
+#line 3328 "ircd_parser.y"
+    {
   ConfigFileEntry.hide_spoof_ips = yylval.number;
-}
-break;
-case 574:
-#line 3329 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 576:
+#line 3333 "ircd_parser.y"
+    {
   ConfigFileEntry.ignore_bogus_ts = yylval.number;
-}
-break;
-case 575:
-#line 3334 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 577:
+#line 3338 "ircd_parser.y"
+    {
   ConfigFileEntry.disable_remote = yylval.number;
-}
-break;
-case 576:
-#line 3339 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 578:
+#line 3343 "ircd_parser.y"
+    {
   ConfigFileEntry.failed_oper_notice = yylval.number;
-}
-break;
-case 577:
-#line 3344 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 579:
+#line 3348 "ircd_parser.y"
+    {
   ConfigFileEntry.anti_nick_flood = yylval.number;
-}
-break;
-case 578:
-#line 3349 "ircd_parser.y"
-{
-  ConfigFileEntry.max_nick_time = yyvsp[-1].number; 
-}
-break;
-case 579:
-#line 3354 "ircd_parser.y"
-{
-  ConfigFileEntry.max_nick_changes = yyvsp[-1].number;
-}
-break;
-case 580:
-#line 3359 "ircd_parser.y"
-{
-  ConfigFileEntry.max_accept = yyvsp[-1].number;
-}
-break;
-case 581:
-#line 3364 "ircd_parser.y"
-{
-  ConfigFileEntry.anti_spam_exit_message_time = yyvsp[-1].number;
-}
-break;
-case 582:
-#line 3369 "ircd_parser.y"
-{
-  ConfigFileEntry.ts_warn_delta = yyvsp[-1].number;
-}
-break;
-case 583:
-#line 3374 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 580:
+#line 3353 "ircd_parser.y"
+    {
+  ConfigFileEntry.max_nick_time = (yyvsp[(3) - (4)].number); 
+;}
+    break;
+
+  case 581:
+#line 3358 "ircd_parser.y"
+    {
+  ConfigFileEntry.max_nick_changes = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 582:
+#line 3363 "ircd_parser.y"
+    {
+  ConfigFileEntry.max_accept = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 583:
+#line 3368 "ircd_parser.y"
+    {
+  ConfigFileEntry.anti_spam_exit_message_time = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 584:
+#line 3373 "ircd_parser.y"
+    {
+  ConfigFileEntry.ts_warn_delta = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 585:
+#line 3378 "ircd_parser.y"
+    {
   if (ypass == 2)
-    ConfigFileEntry.ts_max_delta = yyvsp[-1].number;
-}
-break;
-case 584:
-#line 3380 "ircd_parser.y"
-{
-  if ((yyvsp[-1].number > 0) && ypass == 1)
+    ConfigFileEntry.ts_max_delta = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 586:
+#line 3384 "ircd_parser.y"
+    {
+  if (((yyvsp[(3) - (4)].number) > 0) && ypass == 1)
   {
     ilog(L_CRIT, "You haven't read your config file properly.");
     ilog(L_CRIT, "There is a line in the example conf that will kill your server if not removed.");
     ilog(L_CRIT, "Consider actually reading/editing the conf file, and removing this line.");
     exit(0);
   }
-}
-break;
-case 585:
-#line 3391 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 587:
+#line 3395 "ircd_parser.y"
+    {
   ConfigFileEntry.kline_with_reason = yylval.number;
-}
-break;
-case 586:
-#line 3396 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 588:
+#line 3400 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(ConfigFileEntry.kline_reason);
     DupString(ConfigFileEntry.kline_reason, yylval.string);
   }
-}
-break;
-case 587:
-#line 3405 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 589:
+#line 3409 "ircd_parser.y"
+    {
   ConfigFileEntry.invisible_on_connect = yylval.number;
-}
-break;
-case 588:
-#line 3410 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 590:
+#line 3414 "ircd_parser.y"
+    {
   ConfigFileEntry.warn_no_nline = yylval.number;
-}
-break;
-case 589:
-#line 3415 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 591:
+#line 3419 "ircd_parser.y"
+    {
   ConfigFileEntry.stats_e_disabled = yylval.number;
-}
-break;
-case 590:
-#line 3420 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 592:
+#line 3424 "ircd_parser.y"
+    {
   ConfigFileEntry.stats_o_oper_only = yylval.number;
-}
-break;
-case 591:
-#line 3425 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 593:
+#line 3429 "ircd_parser.y"
+    {
   ConfigFileEntry.stats_P_oper_only = yylval.number;
-}
-break;
-case 592:
-#line 3430 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 594:
+#line 3434 "ircd_parser.y"
+    {
   ConfigFileEntry.stats_k_oper_only = 2 * yylval.number;
-}
-break;
-case 593:
-#line 3433 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 595:
+#line 3437 "ircd_parser.y"
+    {
   ConfigFileEntry.stats_k_oper_only = 1;
-}
-break;
-case 594:
-#line 3438 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 596:
+#line 3442 "ircd_parser.y"
+    {
   ConfigFileEntry.stats_i_oper_only = 2 * yylval.number;
-}
-break;
-case 595:
-#line 3441 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 597:
+#line 3445 "ircd_parser.y"
+    {
   ConfigFileEntry.stats_i_oper_only = 1;
-}
-break;
-case 596:
-#line 3446 "ircd_parser.y"
-{
-  ConfigFileEntry.pace_wait = yyvsp[-1].number;
-}
-break;
-case 597:
-#line 3451 "ircd_parser.y"
-{
-  ConfigFileEntry.caller_id_wait = yyvsp[-1].number;
-}
-break;
-case 598:
-#line 3456 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 598:
+#line 3450 "ircd_parser.y"
+    {
+  ConfigFileEntry.pace_wait = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 599:
+#line 3455 "ircd_parser.y"
+    {
+  ConfigFileEntry.caller_id_wait = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 600:
+#line 3460 "ircd_parser.y"
+    {
   ConfigFileEntry.opers_bypass_callerid = yylval.number;
-}
-break;
-case 599:
-#line 3461 "ircd_parser.y"
-{
-  ConfigFileEntry.pace_wait_simple = yyvsp[-1].number;
-}
-break;
-case 600:
-#line 3466 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 601:
+#line 3465 "ircd_parser.y"
+    {
+  ConfigFileEntry.pace_wait_simple = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 602:
+#line 3470 "ircd_parser.y"
+    {
   ConfigFileEntry.short_motd = yylval.number;
-}
-break;
-case 601:
-#line 3471 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 603:
+#line 3475 "ircd_parser.y"
+    {
   ConfigFileEntry.no_oper_flood = yylval.number;
-}
-break;
-case 602:
-#line 3476 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 604:
+#line 3480 "ircd_parser.y"
+    {
   ConfigFileEntry.true_no_oper_flood = yylval.number;
-}
-break;
-case 603:
-#line 3481 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 605:
+#line 3485 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_pass_resv = yylval.number;
-}
-break;
-case 604:
-#line 3486 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 606:
+#line 3490 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (strlen(yylval.string) > LOCALE_LENGTH-2)
@@ -5767,39 +7116,44 @@
 
     set_locale(yylval.string);
   }
-}
-break;
-case 605:
-#line 3497 "ircd_parser.y"
-{
-  ConfigFileEntry.idletime = yyvsp[-1].number;
-}
-break;
-case 606:
-#line 3502 "ircd_parser.y"
-{
-  ConfigFileEntry.dots_in_ident = yyvsp[-1].number;
-}
-break;
-case 607:
-#line 3507 "ircd_parser.y"
-{
-  ConfigFileEntry.max_targets = yyvsp[-1].number;
-}
-break;
-case 608:
-#line 3512 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 607:
+#line 3501 "ircd_parser.y"
+    {
+  ConfigFileEntry.idletime = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 608:
+#line 3506 "ircd_parser.y"
+    {
+  ConfigFileEntry.dots_in_ident = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 609:
+#line 3511 "ircd_parser.y"
+    {
+  ConfigFileEntry.max_targets = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 610:
+#line 3516 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(ConfigFileEntry.servlink_path);
     DupString(ConfigFileEntry.servlink_path, yylval.string);
   }
-}
-break;
-case 609:
-#line 3521 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 611:
+#line 3525 "ircd_parser.y"
+    {
 #ifdef HAVE_LIBCRYPTO
   if (ypass == 2)
   {
@@ -5828,14 +7182,15 @@
   if (ypass == 2)
     yyerror("Ignoring default_cipher_preference -- no OpenSSL support");
 #endif
-}
-break;
-case 610:
-#line 3553 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 612:
+#line 3557 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
-    ConfigFileEntry.compression_level = yyvsp[-1].number;
+    ConfigFileEntry.compression_level = (yyvsp[(3) - (4)].number);
 #ifndef HAVE_LIBZ
     yyerror("Ignoring compression_level -- no zlib support");
 #else
@@ -5847,325 +7202,384 @@
     }
 #endif
   }
-}
-break;
-case 611:
-#line 3571 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 613:
+#line 3575 "ircd_parser.y"
+    {
   ConfigFileEntry.use_egd = yylval.number;
-}
-break;
-case 612:
-#line 3576 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 614:
+#line 3580 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(ConfigFileEntry.egdpool_path);
     DupString(ConfigFileEntry.egdpool_path, yylval.string);
   }
-}
-break;
-case 613:
-#line 3585 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 615:
+#line 3589 "ircd_parser.y"
+    {
   ConfigFileEntry.ping_cookie = yylval.number;
-}
-break;
-case 614:
-#line 3590 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 616:
+#line 3594 "ircd_parser.y"
+    {
   ConfigFileEntry.disable_auth = yylval.number;
-}
-break;
-case 615:
-#line 3595 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 617:
+#line 3599 "ircd_parser.y"
+    {
   ConfigFileEntry.throttle_time = yylval.number;
-}
-break;
-case 616:
-#line 3600 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 618:
+#line 3604 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes = 0;
-}
-break;
-case 620:
-#line 3606 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 622:
+#line 3610 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_BOTS;
-}
-break;
-case 621:
-#line 3609 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 623:
+#line 3613 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_CCONN;
-}
-break;
-case 622:
-#line 3612 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 624:
+#line 3616 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_CCONN_FULL;
-}
-break;
-case 623:
-#line 3615 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 625:
+#line 3619 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_DEAF;
-}
-break;
-case 624:
-#line 3618 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 626:
+#line 3622 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_DEBUG;
-}
-break;
-case 625:
-#line 3621 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 627:
+#line 3625 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_FULL;
-}
-break;
-case 626:
-#line 3624 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 628:
+#line 3628 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_SKILL;
-}
-break;
-case 627:
-#line 3627 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 629:
+#line 3631 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_NCHANGE;
-}
-break;
-case 628:
-#line 3630 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 630:
+#line 3634 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_REJ;
-}
-break;
-case 629:
-#line 3633 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 631:
+#line 3637 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_UNAUTH;
-}
-break;
-case 630:
-#line 3636 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 632:
+#line 3640 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_SPY;
-}
-break;
-case 631:
-#line 3639 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 633:
+#line 3643 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_EXTERNAL;
-}
-break;
-case 632:
-#line 3642 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 634:
+#line 3646 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_OPERWALL;
-}
-break;
-case 633:
-#line 3645 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 635:
+#line 3649 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_SERVNOTICE;
-}
-break;
-case 634:
-#line 3648 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 636:
+#line 3652 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_INVISIBLE;
-}
-break;
-case 635:
-#line 3651 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 637:
+#line 3655 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_WALLOP;
-}
-break;
-case 636:
-#line 3654 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 638:
+#line 3658 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_SOFTCALLERID;
-}
-break;
-case 637:
-#line 3657 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 639:
+#line 3661 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_CALLERID;
-}
-break;
-case 638:
-#line 3660 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 640:
+#line 3664 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_umodes |= UMODE_LOCOPS;
-}
-break;
-case 639:
-#line 3665 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 641:
+#line 3669 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes = 0;
-}
-break;
-case 643:
-#line 3671 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 645:
+#line 3675 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_BOTS;
-}
-break;
-case 644:
-#line 3674 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 646:
+#line 3678 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_CCONN;
-}
-break;
-case 645:
-#line 3677 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 647:
+#line 3681 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_CCONN_FULL;
-}
-break;
-case 646:
-#line 3680 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 648:
+#line 3684 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_DEAF;
-}
-break;
-case 647:
-#line 3683 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 649:
+#line 3687 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_DEBUG;
-}
-break;
-case 648:
-#line 3686 "ircd_parser.y"
-{ 
+;}
+    break;
+
+  case 650:
+#line 3690 "ircd_parser.y"
+    { 
   ConfigFileEntry.oper_only_umodes |= UMODE_FULL;
-}
-break;
-case 649:
-#line 3689 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 651:
+#line 3693 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_SKILL;
-}
-break;
-case 650:
-#line 3692 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 652:
+#line 3696 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_NCHANGE;
-}
-break;
-case 651:
-#line 3695 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 653:
+#line 3699 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_REJ;
-}
-break;
-case 652:
-#line 3698 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 654:
+#line 3702 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_UNAUTH;
-}
-break;
-case 653:
-#line 3701 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 655:
+#line 3705 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_SPY;
-}
-break;
-case 654:
-#line 3704 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 656:
+#line 3708 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_EXTERNAL;
-}
-break;
-case 655:
-#line 3707 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 657:
+#line 3711 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_OPERWALL;
-}
-break;
-case 656:
-#line 3710 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 658:
+#line 3714 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_SERVNOTICE;
-}
-break;
-case 657:
-#line 3713 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 659:
+#line 3717 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_INVISIBLE;
-}
-break;
-case 658:
-#line 3716 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 660:
+#line 3720 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_WALLOP;
-}
-break;
-case 659:
-#line 3719 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 661:
+#line 3723 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_SOFTCALLERID;
-}
-break;
-case 660:
-#line 3722 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 662:
+#line 3726 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_CALLERID;
-}
-break;
-case 661:
-#line 3725 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 663:
+#line 3729 "ircd_parser.y"
+    {
   ConfigFileEntry.oper_only_umodes |= UMODE_LOCOPS;
-}
-break;
-case 662:
-#line 3730 "ircd_parser.y"
-{
-  ConfigFileEntry.min_nonwildcard = yyvsp[-1].number;
-}
-break;
-case 663:
-#line 3735 "ircd_parser.y"
-{
-  ConfigFileEntry.min_nonwildcard_simple = yyvsp[-1].number;
-}
-break;
-case 664:
-#line 3740 "ircd_parser.y"
-{
-  ConfigFileEntry.default_floodcount = yyvsp[-1].number;
-}
-break;
-case 665:
-#line 3745 "ircd_parser.y"
-{
-  ConfigFileEntry.client_flood = yyvsp[-1].number;
-}
-break;
-case 666:
-#line 3750 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 664:
+#line 3732 "ircd_parser.y"
+    {
+  ConfigFileEntry.oper_only_umodes |= UMODE_SNOOP;
+;}
+    break;
+
+  case 665:
+#line 3737 "ircd_parser.y"
+    {
+  ConfigFileEntry.min_nonwildcard = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 666:
+#line 3742 "ircd_parser.y"
+    {
+  ConfigFileEntry.min_nonwildcard_simple = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 667:
+#line 3747 "ircd_parser.y"
+    {
+  ConfigFileEntry.default_floodcount = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 668:
+#line 3752 "ircd_parser.y"
+    {
+  ConfigFileEntry.client_flood = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 669:
+#line 3757 "ircd_parser.y"
+    {
   ConfigFileEntry.dot_in_ip6_addr = yylval.number;
-}
-break;
-case 667:
-#line 3758 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 670:
+#line 3765 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_conf = make_conf_item(GDENY_TYPE);
     yy_aconf = map_to_conf(yy_conf);
   }
-}
-break;
-case 668:
-#line 3765 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 671:
+#line 3772 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     /*
@@ -6179,46 +7593,52 @@
       yy_aconf = NULL;
     }
   }
-}
-break;
-case 678:
-#line 3791 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 681:
+#line 3798 "ircd_parser.y"
+    {
   if (ypass == 2)
     ConfigFileEntry.glines = yylval.number;
-}
-break;
-case 679:
-#line 3797 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 682:
+#line 3804 "ircd_parser.y"
+    {
   if (ypass == 2)
-    ConfigFileEntry.gline_time = yyvsp[-1].number;
-}
-break;
-case 680:
-#line 3803 "ircd_parser.y"
-{
+    ConfigFileEntry.gline_time = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 683:
+#line 3810 "ircd_parser.y"
+    {
   if (ypass == 2)
     ConfigFileEntry.gline_logging = 0;
-}
-break;
-case 684:
-#line 3809 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 687:
+#line 3816 "ircd_parser.y"
+    {
   if (ypass == 2)
     ConfigFileEntry.gline_logging |= GDENY_REJECT;
-}
-break;
-case 685:
-#line 3813 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 688:
+#line 3820 "ircd_parser.y"
+    {
   if (ypass == 2)
     ConfigFileEntry.gline_logging |= GDENY_BLOCK;
-}
-break;
-case 686:
-#line 3819 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 689:
+#line 3826 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct split_nuh_item nuh;
@@ -6249,28 +7669,31 @@
       dlinkAdd(yy_tmp, &yy_tmp->node, &col_conf_list);
     }
   }
-}
-break;
-case 687:
-#line 3853 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 690:
+#line 3860 "ircd_parser.y"
+    {
   if (ypass == 2)  
   {
     MyFree(yy_conf->name);
     DupString(yy_conf->name, yylval.string);
   }
-}
-break;
-case 688:
-#line 3862 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 691:
+#line 3869 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_aconf->flags = 0;
-}
-break;
-case 689:
-#line 3866 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 692:
+#line 3873 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct CollectItem *yy_tmp = NULL;
